%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% case 1 GGDrnd
% case 2 simulated US data
% case 3 real US data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if strcmp(image, 'GGDrnd')
    xi=0.5;
    scale=0.3;
    refl=ggdrnd(50,50,0,scale,xi);
    refl=refl-mean2(refl); 
    refl=refl/sqrt(mean2(refl(:).^2));
    load psf;       
    RF= Hx_cal(psf_ref,refl);
    P_RF = sum((RF(:)-mean2(RF)).^2)/(numel(refl)-1);
    BSNR=30;
    sig2n_ref= P_RF/10^(BSNR/10);
    y = RF + sqrt(sig2n_ref)*randn(size(RF));
    mask=ones(size(y));
    K=1;
elseif strcmp(image,'simu')
    load demo_simu;
    y=RF;
    psf_ref=psf;
    K = 2;    
end
