function [scale_new] = scale_sample_Gibbs(x,xi,mu,scale_odd,wt,z,k)
% the prior of the scale parameter is Inverse Gamma distribution

if wt==0
    if nargin~=7  
        return;
    end
    theta=x(z==k);
    
elseif wt==1
    if nargin~=5 
        return;
    end
    theta=x;
end

N=numel(theta);
% sig2x=var(theta);

a=0;
b=0;
if isreal(x)
    alpha=N/xi +a;
    beta=norm(theta(:)-mu,xi)^xi +b;
end

scale_new=1/gamrnd(alpha,1/beta); 
if scale_new<=0 
    scale_new=scale_odd;
end

end